{* Smarty *}
<form action="{$smarty.const.CF_BASE_URL}bookmarks" method="post">
<input type="hidden" name="s" value="1" />
<p>{$smarty.const.LN_BOOKMARKS_EXPLANATION}</p>
{* To enable AJAX this table must have an id of "bookmarks" and each bookmark must be between it's own tbody tags *}
<table id="bookmarks">
<thead>
	<th>{$smarty.const.LN_PAGE}</th>
	<th>{$smarty.const.LN_SORT_ORDER}</th>
	<th></th>
</thead>
<tbody>
	<tr>
		<td><input type="text" name="url[new]" value="{if $new}{$new}{else}http://{/if}" class="long" /></td>
		<td><input type="text" name="st[new]" value="0" class="short" /></td>
		<td></td>
	</tr>
</tbody>
{foreach from=$bookmarks item=i key=k}
<tbody>
	<tr>
		<td>
			{$i.action}:
			{if $i.linked.record == 'person'}<a href="{if $i.action == $smarty.const.LN_PERSON}{$i.linked.url}{elseif $i.action == $smarty.const.LN_PEDIGREE}{$i.linked.pedigree}{elseif $i.action == $smarty.const.LN_ANCESTORS}{$i.linked.ancestors}{elseif $i.action == $smarty.const.LN_DESCENDANTS}{$i.linked.descendants}{elseif $i.action == $smarty.const.LN_DESCENDANTS_MALE||$i.action == $smarty.const.LN_DESCENDANTS_FEMALE}{$i.linked.genealogy}{elseif $i.action == $smarty.const.LN_RELATION}{$smarty.const.CF_BASE_URL}{$k}{/if}">{$i.linked.givn} {$i.linked.spfx_surn}</a> {if $i.linked.begi or $i.linked.end}({$i.linked.begi}-{$i.linked.end}){/if}{if $i.action == $smarty.const.LN_RELATION} &amp; <a href="{$smarty.const.CF_BASE_URL}{$k}">{$i.rest.givn} {$i.rest.spfx_surn}</a> {if $i.rest.begi or $i.rest.end}({$i.rest.begi}-{$i.rest.end}){/if}{/if}{/if}
			{if $i.linked.record == 'event'}<a href="{$i.linked.url}">{$i.linked.type}: {$i.linked.value} {$i.linked.date} {$i.linked.plac}</a>{/if}
			{if $i.linked.record == 'note'}<a href="{$i.linked.url}">{$i.linked.titl}</a>{/if}
			{if $i.linked.record == 'media'}<a href="{$i.linked.url}">{$i.linked.titl}</a>{/if}
			{if $i.linked.record == 'source'}<a href="{$i.linked.url}">{$i.linked.abbr}</a>{/if}
			{if $i.linked.record == 'repository'}<a href="{$i.linked.url}">{$i.linked.name}</a>{/if}
		</td>
		<td><input type="text" name="st[{$k}]" value="{$i.sort}" class="short" /></td>
		<td>
			<a href="{$smarty.const.CF_BASE_URL}deletebookmark/{$k}">{$smarty.const.LN_DELETE}</a>
		</td>
	</tr>
</tbody>
{/foreach}
<tbody>
	<tr>
		<td></td>
		<td><input type="submit" name="submit" value="{$smarty.const.LN_SAVE}" /></td>
		<td></td>
	</tr>
</tbody>
</table>