{* Smarty *}
{* To enable AJAX this table must have an id of "texts" and each text must be between it's own tbody tags *}
<form action="{$smarty.const.CF_BASE_URL}editpost/{$bid}" method="post">
<input type="hidden" name="s" value="1" />
<table id="texts">
<tbody>
	<tr>
		<td><label for="df">{$smarty.const.LN_DRAFT}?</label></td>
		<td>{html_options name=df id="df" options=$no_yes_list selected=$text.draft}</td>
	</tr>
	<tr>
		<td><label for="ct">{$smarty.const.LN_CATEGORY}:</label></td>
		<td>{html_options name=ct id="ct" options=$cat_list selected=$text.bcid}</td>
	</tr>
{if $user_list} 
	<tr>
		<td><label for="us">{$smarty.const.LN_USER}:</label></td>
		<td>{html_options name=us id="us" options=$user_list selected=$text.uid}</td>
	</tr>
{/if}
	<tr>
		<td><label for="dt">{$smarty.const.LN_DATE}:</label></td>
		<td><input type="text" name="dt" id="dt" value="{$text.date}" /> (yyyy-mm-dd hh:mm:ss)</td>
	</tr>
{if $text.approve}
	<tr>
		<td><label for="ap">{$smarty.const.LN_APPROVED}?</label></td>
		<td>{html_options name=ap id="ap" options=$no_yes_list selected=$text.approved}</td>
	</tr>
{/if}
	<tr>
		<td><label for="cm">{$smarty.const.LN_ALLOW_COMMENTS}?</label></td>
		<td>{html_options name=cm id="cm" options=$no_yes_list selected=$text.comment}</td>
	</tr>
</tbody>
{foreach from=$text.text key=k item=i}
<tbody>
	<tr>
		<th><label for="tt_{$k}">{$i.lang_name}:</label></th>
		<th>{if $i.lang_list}{html_options name=cp[$k] options=$i.lang_list selected=$i.copy}{/if}</th>
	</tr>
	<tr>
		<td><label for="tl_{$k}">{$smarty.const.LN_TITLE}:</label></td>
		<td><input type="text" name="tl[{$k}]" id="tl_{$k}" value="{$i.title}" lang="$k" dir="{$i.lang_dir}" class="long" /></td>
	</tr>
	<tr>
		<td colspan="2"><label for="tt_{$k}">{$smarty.const.LN_LEAD}:</label><textarea name="tt[{$k}]" id="tt_{$k}" lang="$k" dir="{$i.lang_dir}" class="tinymce long">{$i.lead}</textarea></td>
	</tr>
	<tr>
		<td colspan="2"><label for="ttt_{$k}">{$smarty.const.LN_REST}:</label><textarea name="ttt[{$k}]" id="ttt_{$k}" lang="$k" dir="{$i.lang_dir}" class="tinymce long">{$i.text}</textarea></td>
	</tr>
</tbody>
{/foreach}	
<tbody>
	<tr>
		<td></td>
		<td><input type="submit" name="submit" value="{$smarty.const.LN_SAVE}" /></td>
	</tr>
</tbody>
</table>
</form>